"Consistency is the last refuge of the unimaginative.", Oscar Wilde
"Probably the best wish for a dreamer: Be underestimated", 잫읻 젤지옥루
RSS icon Home icon
  • Dropping support for iPhone OS2.x

    Posted on March 19th, 2010 Cahit Crcioglu No comments

    This post/announcement is related to the projects i create for iPhone operating systems.

    I have been supporting even OS2.0 for all of my applications. And starting with RADYO‘s new version, i’ll be dropping support for iPhone OS versions below 3.0. So current owners of iPhone RADYO who have OS 2.x will not be able to upgrade to the newest version.

    – Usage statistics for last 3 months of my iPhone applications show that only %1.8 uses iPhone OS version 2.x

    – Usage statistics for last month shows that only %1.2 uses iPhone OS version 2.x

    I can consider 2.x as an old system (for myself) according to these numbers. iPhone OS’ new version is coming and also we’ll be using iPads. Both supporting OS 2.0 and adding new features takes more time both for testing and planning the project.

    Under these circumstances continuing to give support for OS2.x is not feasible anymore.

    Leave a reply